Bug 522540 - suspend->resume->white screen
Summary: suspend->resume->white screen
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-10 16:19 UTC by Daniel J Blueman
Modified: 2010-12-05 06:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:26:36 UTC


Attachments (Terms of Use)
/var/log/messages after suspend-resume cycle (186.79 KB, application/octet-stream)
2009-09-15 23:01 UTC, Daniel J Blueman
no flags Details
/var/log/Xorg.0.log after suspend-resume cycle (37.77 KB, text/x-log)
2009-09-15 23:02 UTC, Daniel J Blueman
no flags Details

Description Daniel J Blueman 2009-09-10 16:19:22 UTC
Description of problem:
During Nouveau Test Day, the suspend test [https://fedoraproject.org/wiki/QA:Testcase_nouveau_suspend] failed. Suspension occurred as expected, however resuming resulted in a stable white screen with the bottom 15% flashing black ~20Hz.

Version-Release number of selected component (if applicable):
(as on http://adamwill.fedorapeople.org/20090909_test_day_images/testday-20090909-x86_64.iso and during Nouveau Test Day)

Steps to Reproduce:
1. boot above ISO
2. suspend system
3. resume system

Smolt profile at:

http://www.smolts.org/client/show/?uuid=pub_33b8ca38-74d1-4a17-8270-6ddaa4f3e17b

Comment 1 Ben Skeggs 2009-09-10 20:34:02 UTC
Are you able to provide some log files?  /var/log/messages would be useful to see from after an attempted suspend.

Thanks!

Comment 2 Daniel J Blueman 2009-09-15 23:01:00 UTC
Hi Brian - thanks for asking! /var/log/messages and Xorg.0.log from after a suspend+resume cycle aren't so telling, though we do see nouveau reprogramming registers - it's clear some registers either aren't restored correctly or are programmed with incorrect values likely, since the issue is 100% reproducible.

In this situation, I can switch to a non-X VT and get a blank screen (backlight enabled) and switching back to X resumes the white w/ bottom 10-15% flashing @ ~20Hz.

What would help here, eg dumping the GPU's LVDS register before and after the suspend-resume cycle?

Comment 3 Daniel J Blueman 2009-09-15 23:01:56 UTC
Created attachment 361157 [details]
/var/log/messages after suspend-resume cycle

Comment 4 Daniel J Blueman 2009-09-15 23:02:39 UTC
Created attachment 361159 [details]
/var/log/Xorg.0.log after suspend-resume cycle

Comment 5 Adam Williamson 2009-09-17 20:14:30 UTC
setting this as 'triaged' as only Ben knows what info he needs from you :)

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Ben Skeggs 2009-10-08 04:25:14 UTC
Can you retry with at least kernel-2.6.31.1-56.fc12 please?  There's been some fixes to LVDS resume on pre-G80 chipsets since the kernel you tested.  Thanks.

Comment 7 Bug Zapper 2009-11-16 12:12:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2010-11-04 10:06:59 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2010-12-05 06:26:36 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.